Interface CustomerRouteConfiguration
- All Known Implementing Classes:
CustomerRouteConfigurationJson
public interface CustomerRouteConfiguration
An allowed customer-route configuration for an Equinix Internet Access (EIA) v1 service, as
returned by
GET /internetAccess/v1/customerRouteConfigurations.
This is a read-only response view.
-
Method Summary
-
Method Details
-
getType
Redundancy getType()- Returns:
- the redundancy configuration (
SINGLE_PORTorDUAL_PORT)
-
getUseCase
UseCase getUseCase()- Returns:
- the intended use case (
MAIN,BACKUPorMANAGEMENT_ACCESS)
-
getRoutingProtocol
CustomerRouteRoutingProtocol getRoutingProtocol()- Returns:
- the allowed routing-protocol / customer-route configuration
-